curl --request GET \
--url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/threads/{thread_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/threads/{thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inbox_id": "<string>",
"thread_id": "<string>",
"labels": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z",
"senders": [
"<string>"
],
"recipients": [
"<string>"
],
"last_message_id": "<string>",
"message_count": 123,
"size": 123,
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"messages": [
{
"inbox_id": "<string>",
"thread_id": "<string>",
"message_id": "<string>",
"labels": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z",
"from": "<string>",
"to": [
"<string>"
],
"size": 123,
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"reply_to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"text": "<string>",
"html": "<string>",
"extracted_text": "<string>",
"extracted_html": "<string>",
"attachments": [
{
"attachment_id": "<string>",
"size": 123,
"filename": "<string>",
"content_type": "<string>",
"content_disposition": "inline",
"content_id": "<string>"
}
],
"in_reply_to": "<string>",
"references": [
"<string>"
],
"headers": {}
}
],
"received_timestamp": "2023-11-07T05:31:56Z",
"sent_timestamp": "2023-11-07T05:31:56Z",
"subject": "<string>",
"preview": "<string>",
"attachments": [
{
"attachment_id": "<string>",
"size": 123,
"filename": "<string>",
"content_type": "<string>",
"content_disposition": "inline",
"content_id": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>"
}Get Thread
Get Thread
thread_id, inbox_id, labels, timestamp, received_timestamp, sent_timestamp, senders, recipients, subject, preview, attachments and the messages themselves. For a single message use get_agentmail_inbox_message.
Example
curl -X GET "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/threads/{thread_id}" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer authentication
Response
Response with status 200
The ID of the inbox.
ID of thread.
Labels of thread.
Timestamp of last sent or received message.
Senders in thread. In format username@domain.com or Display Name <username@domain.com>.
Recipients in thread. In format username@domain.com or Display Name <username@domain.com>.
ID of last message in thread.
Number of messages in thread.
Size of thread in bytes.
Time at which thread was last updated.
Time at which thread was created.
Messages in thread. Ordered by timestamp ascending.
Show child attributes
Show child attributes
Timestamp of last received message.
Timestamp of last sent message.
Subject of thread.
Text preview of last message in thread.
Attachments in thread.
Show child attributes
Show child attributes